# coding: utf-8

"""
    PeerTube

    # Introduction  The PeerTube API is built on HTTP(S) and is RESTful. You can use your favorite HTTP/REST library for your programming language to use PeerTube. No official SDK is currently provided, but the spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice.  See the [Quick Start guide](https://docs.joinpeertube.org/#/api-rest-getting-started) so you can play with the PeerTube API.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ```   # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest

import peertube
from peertube.api.video_playlists_api import VideoPlaylistsApi  # noqa: E501
from peertube.rest import ApiException


class TestVideoPlaylistsApi(unittest.TestCase):
    """VideoPlaylistsApi unit test stubs"""

    def setUp(self):
        self.api = peertube.api.video_playlists_api.VideoPlaylistsApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_users_me_video_playlists_videos_exist_get(self):
        """Test case for users_me_video_playlists_videos_exist_get

        Check video exists in my playlists  # noqa: E501
        """
        pass

    def test_video_playlists_get(self):
        """Test case for video_playlists_get

        List video playlists  # noqa: E501
        """
        pass

    def test_video_playlists_id_delete(self):
        """Test case for video_playlists_id_delete

        Delete a video playlist  # noqa: E501
        """
        pass

    def test_video_playlists_id_get(self):
        """Test case for video_playlists_id_get

        Get a video playlist  # noqa: E501
        """
        pass

    def test_video_playlists_id_put(self):
        """Test case for video_playlists_id_put

        Update a video playlist  # noqa: E501
        """
        pass

    def test_video_playlists_id_videos_get(self):
        """Test case for video_playlists_id_videos_get

        List videos of a playlist  # noqa: E501
        """
        pass

    def test_video_playlists_id_videos_playlist_element_id_delete(self):
        """Test case for video_playlists_id_videos_playlist_element_id_delete

        Delete an element from a playlist  # noqa: E501
        """
        pass

    def test_video_playlists_id_videos_playlist_element_id_put(self):
        """Test case for video_playlists_id_videos_playlist_element_id_put

        Update a playlist element  # noqa: E501
        """
        pass

    def test_video_playlists_id_videos_post(self):
        """Test case for video_playlists_id_videos_post

        Add a video in a playlist  # noqa: E501
        """
        pass

    def test_video_playlists_id_videos_reorder_post(self):
        """Test case for video_playlists_id_videos_reorder_post

        Reorder a playlist  # noqa: E501
        """
        pass

    def test_video_playlists_post(self):
        """Test case for video_playlists_post

        Create a video playlist  # noqa: E501
        """
        pass

    def test_video_playlists_privacies_get(self):
        """Test case for video_playlists_privacies_get

        List available playlist privacies  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
